Subject: bug#1183: 23.0.60; ediff-buffers is broken

From: "Drew Adams" <[email-masked]>
Date: Sun, 19 Oct 2008 08:07:17 -0700

> From: Eli Zaretskii Sent: Sunday, October 19, 2008 1:33 AM
> Drew, please see if the patch below fixes the problem for you.
> 
> If you are not using a very recent CVS code, you will probably need to
> use utf-8-emacs-unix instead of emacs-internal in the ediff-init.el
> change, because emacs-internal was only introduced yesterday.
> 
> Michael, could you please add a warning message in buffer jobs about
> differences in the values of buffer-file-coding-system between the
> buffers being compared?  In particular, if there are no differences in
> a region, but the above values are different, it would be good if
> Ediff would say something like "only character-encoding differences"
> instead of "only white-space differences". Thanks.
> 2008-10-19  Eli Zaretskii  <[email-masked]>
>
> 	Fix Bug #1183:
> 	* ediff-diff.el (ediff-exec-process): For buffer jobs, bind
> 	coding-system-for-read to ediff-coding-system-for-write.
> 	* ediff-util.el (ediff-make-temp-file): Unconditionally bind
> 	coding-system-for-write to ediff-coding-system-for-write.
> 	* ediff-init.el (ediff-coding-system-for-read): Doc fix.
> 	(ediff-coding-system-for-write): Set to emacs-internal.

Yes, it appears to be fixed, judging by the test case I sent.

Thank you!